MP4(3)

NAME

MP4GetTrackAudioType - Get the encoding type of an audio track

SYNTAX

#include <mp4.h>

u_int8_t MP4GetTrackAudioType(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the audio type is desired.

RETURN VALUES

Upon success, the audio type of the track. Upon error, MP4_INVALID_AUDIO_TYPE is returned.

DESCRIPTION

MP4GetTrackAudioType returns the encoding type of the specified audio track in the mp4 file.

Known audio encoding types are:

MP4_MPEG1_AUDIO_TYPE
    MPEG-1 Audio Layers I, II, & III

MP4_MPEG2_AUDIO_TYPE
    MPEG-2 low bitrate extensions to MPEG-1 Audio
    MP4_MP3_AUDIO_TYPE is an alias for this value

MP4_MPEG2_AAC_MAIN_AUDIO_TYPE
    MPEG-2 AAC Main profile

MP4_MPEG2_AAC_LC_AUDIO_TYPE
    MPEG-2 AAC Low Complexity profile

MP4_MPEG2_AAC_SSR_AUDIO_TYPE
    MPEG-2 AAC SSR profile

MP4_MPEG4_AUDIO_TYPE
    MPEG-4 Audio, includes MPEG-4 extensions to AAC

MP4_PRIVATE_AUDIO_TYPE
    User private type

SEE ALSO

MP4(3) MP4AddAudioTrack(3)